require 'active_record'
require 'scm_devise/version'
require 'scm_devise/configuration'
require 'scm_devise/callback'
require 'scm_devise/railtie'

module Scm_devise
  def track_who_does_it(options = {}, current_employee)
    before_create Scm_devise::Callback.new
    before_update Scm_devise::Callback.new

    creator_fk = options.fetch(:creator_foreign_key) { "created_by_id" }
    updater_fk = options.fetch(:updater_foreign_key) { "updated_by_id" }

    belongs_to :creator, :class_name => "Employee", :foreign_key => creator_fk
    belongs_to :updater, :class_name => "Employee", :foreign_key => updater_fk
  end
end
