module Scm_devise
  class Callback
    def before_create(record, current_employee)
      record.creator = current_employee if record.respond_to?(:creator) && current_employee
      record.updater = current_employee if record.respond_to?(:updater) && current_employee
    end

    def before_update(record, current_employee)
      record.updater = current_employee if record.respond_to?(:updater) && current_employee
    end

    #######
    private
    #######

    def warn(message)
      logger.warn "WARNING: #{message}" unless configuration.silence_warnings
    end

    def logger
      configuration.logger
    end

    def configuration
      Scm_devise.configuration
    end
  end
end
